summaryrefslogtreecommitdiffstats
path: root/deps/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-10-19 12:37:55 +0200
committer Eric Hameleers <alien@slackware.com>2019-10-19 12:37:55 +0200
commit4fa63ebd172b1dbf542ce3e364b4241368a9cf3f (patch)
treed258f5d011c4614cf6ab1a0068b93ed995aaf882 /deps/qt5/qt5.SlackBuild
parente9ba602e11cac8f0113f6857bb24b08dc48e2abb (diff)
downloadktown-4fa63ebd172b1dbf542ce3e364b4241368a9cf3f.tar.gz
ktown-4fa63ebd172b1dbf542ce3e364b4241368a9cf3f.tar.xz
Deps: rebuilt qt5, qt5-webkit and upgraded sip
The qt5 and qt5-webkit packages needed to be rebuilt against the new icu4c. The sip package was upgraded to the version which is also used in Slackware.
Diffstat (limited to '')
-rwxr-xr-xdeps/qt5/qt5.SlackBuild8
1 files changed, 7 insertions, 1 deletions
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index 079c1a1..88e9bfa 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -69,7 +69,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
VERSION=${VERSION:-5.13.1}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
@@ -177,6 +177,12 @@ cd qtbase
| patch -p1 --verbose || exit 1
cd - 1>/dev/null
+# Make qtwebengine compile against pulseaudio 13,
+cd qtwebengine/src/3rdparty
+ cat $CWD/patches/qt5.qtbug-77037.patch \
+ | patch -p1 --verbose || exit 1
+cd - 1>/dev/null
+
if ! pkg-config --exists libpulse 2>/dev/null ; then
# Forcibly disable pulseaudio in qtwebengine:
cat $CWD/patches/qt5.pulseaudio.diff | patch -p1 --verbose || exit 1